# Uses of Interface
org.opensaml.saml.saml2.assertion.AssertionValidator

Packages that use AssertionValidator
Package
Description
org.opensaml.saml.saml2.assertion
Interfaces and API classes for validating SAML 2 Assertions.

## Uses of AssertionValidator in org.opensaml.saml.saml2.assertion

Fields in org.opensaml.saml.saml2.assertion declared as AssertionValidator
Modifier and Type
Field
Description
`private AssertionValidator`
SAML20AssertionValidator.`assertionValidator`
Generic validator.
Constructors in org.opensaml.saml.saml2.assertion with parameters of type AssertionValidator
Modifier
Constructor
Description
``
`SAML20AssertionValidator(Collection<ConditionValidator> newConditionValidators, Collection<SubjectConfirmationValidator> newConfirmationValidators, Collection<StatementValidator> newStatementValidators, AssertionValidator newAssertionValidator, SignatureTrustEngine newTrustEngine, SignaturePrevalidator newSignaturePrevalidator)`
Constructor.